package com.adealink.weparty.module.room

import com.adealink.frame.media.IMediaOperatorGet
import com.adealink.weparty.aab.IService
import com.adealink.weparty.commonui.BaseActivity
import com.adealink.weparty.commonui.widget.floatview.data.IFloatData
import com.adealink.weparty.commonui.widget.floatview.view.BaseFloatView

interface IRoomService : IService<IRoomService>, IMediaOperatorGet {

    fun init()

    fun checkRoomPermission()

    fun createRoom(activity: BaseActivity)

    fun getMinimizedRoomView(data: IFloatData): BaseFloatView<out IFloatData>?

    fun getJoinedRoomId(): String?

    fun isInRoom(): Boolean

}